org.eclipse.cdt.core.browser

## Interface IQualifiedTypeName

All Superinterfaces:
  Comparable<IQualifiedTypeName>

All Known Implementing Classes:
  QualifiedTypeName

    public interface IQualifiedTypeName
    extends Comparable<IQualifiedTypeName>

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static String` `QUALIFIER`

### Method Summary

All Methods Instance Methods Abstract Methods
`IQualifiedTypeName` `append(IQualifiedTypeName typeName)`
`IQualifiedTypeName` `append(String qualifiedName)`
`IQualifiedTypeName` `append(String[] names)`
`int` `compareTo(IQualifiedTypeName typeName)`
`int` `compareToIgnoreCase(IQualifiedTypeName typeName)`
`boolean` `equals(IQualifiedTypeName typeName)`
`boolean` `equalsIgnoreCase(IQualifiedTypeName typeName)`
`String[]` `getEnclosingNames()`
`IQualifiedTypeName` `getEnclosingTypeName()`
`String` `getFullyQualifiedName()`
`String` `getName()`
`boolean` `isEmpty()`
`boolean` `isGlobal()`
`boolean` `isLowLevel()`
`boolean` `isPrefixOf(IQualifiedTypeName typeName)`
`boolean` `isQualified()`
`boolean` `isValid()`
`boolean` `isValidSegment(String segment)`
`String` `lastSegment()`
`int` `matchingFirstSegments(IQualifiedTypeName typeName)`
`IQualifiedTypeName` `removeFirstSegments(int count)`
`IQualifiedTypeName` `removeLastSegments(int count)`
`String` `segment(int index)`
`int` `segmentCount()`
`String[]` `segments()`

### Field Detail

#### QUALIFIER

    static final String QUALIFIER

See Also:
  Constant Field Values

### Method Detail

#### getName

    String getName()

#### getFullyQualifiedName

    String getFullyQualifiedName()

#### getEnclosingTypeName

    IQualifiedTypeName getEnclosingTypeName()

#### getEnclosingNames

    String[] getEnclosingNames()

#### isQualified

    boolean isQualified()

#### isEmpty

    boolean isEmpty()

#### isGlobal

    boolean isGlobal()

#### append

    IQualifiedTypeName append(String qualifiedName)

#### append

    IQualifiedTypeName append(String[] names)

#### append

    IQualifiedTypeName append(IQualifiedTypeName typeName)

#### segments

    String[] segments()

#### segment

    String segment(int index)

#### segmentCount

    int segmentCount()

#### lastSegment

    String lastSegment()

#### matchingFirstSegments

    int matchingFirstSegments(IQualifiedTypeName typeName)

#### removeFirstSegments

    IQualifiedTypeName removeFirstSegments(int count)

#### removeLastSegments

    IQualifiedTypeName removeLastSegments(int count)

#### isPrefixOf

    boolean isPrefixOf(IQualifiedTypeName typeName)

#### isLowLevel

    boolean isLowLevel()

#### isValidSegment

    boolean isValidSegment(String segment)

#### isValid

    boolean isValid()

#### equals

    boolean equals(IQualifiedTypeName typeName)

#### equalsIgnoreCase

    boolean equalsIgnoreCase(IQualifiedTypeName typeName)

#### compareTo

    int compareTo(IQualifiedTypeName typeName)

Specified by:
  `compareTo` in interface `Comparable<IQualifiedTypeName>`

#### compareToIgnoreCase

    int compareToIgnoreCase(IQualifiedTypeName typeName)